#include "BiomGenerator.h"


BiomGenerator::BiomGenerator( double biomXMultiplier, double biomYMultiplier, double biomOutputMultiplier, double airXMultiplier, double airYMultiplier, double airOutputMultiplier, double airOutputAddition )
    : ReferenceCounter()
{
    this->biomXMultiplier = biomXMultiplier;
    this->biomYMultiplier = biomYMultiplier;
    this->biomOutputMultiplier = biomOutputMultiplier;
    this->airXMultiplier = airXMultiplier;
    this->airYMultiplier = airYMultiplier;
    this->airOutputMultiplier = airOutputMultiplier;
    this->airOutputAddition = airOutputAddition;
}

double BiomGenerator::getBiomXMultiplier()
{
    return biomXMultiplier;
}

double BiomGenerator::getBiomYMultiplier()
{
    return biomYMultiplier;
}

double BiomGenerator::getBiomOutputMultiplier()
{
    return biomOutputMultiplier;
}

double BiomGenerator::getAirLevelXMultiplier()
{
    return airXMultiplier;
}

double BiomGenerator::getAirLevelYMultiplier()
{
    return airYMultiplier;
}

double BiomGenerator::getAirLevelOutputMultiplier()
{
    return airOutputMultiplier;
}

double BiomGenerator::getAirLevelOutputAddition()
{
    return airOutputAddition;
}